{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}

    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('app_register') }}">S'inregistrer</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

    <div class="container wrapper mt-4 w-25">
        <div class="wrapper-form">
            <label class="tab" title="login">Se connecter</label>
        <form class="tab-form" method="post">
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-input small" required autofocus placeholder="Email">
            <input type="password" name="password" id="inputPassword" class="form-input mt-3 small" required placeholder="Mot de passe">

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                    {#
                    Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                    See https://symfony.com/doc/current/security/remember_me.html

                    <div class="checkbox mb-3">
                        <label>
                            <input type="checkbox" name="_remember_me"> Remember me
                        </label>
                    </div>
                    #}
            <div class="text-center">
            <button class="btn-login" type="submit">Se connecter</button>
            </div>
            {% if error %}
                <div class="btn mt-3 alert alert-danger text-white">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mt-2">
                    Vous êtes connecté(e) comme {{ app.user.username }},
                    <button href="{{ path('app_logout') }}" class="btn-login-connected mt-2">Se déconnecter</button>
                </div>
            {% endif %}
        </form>
        </div>
    </div>




{% endblock %}


{% block stylesheets %}
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Tahoma, serif;
            background-image: url( {{ asset('asset/photo/black.jpg') }} );
            -webkit-background-size: cover;
            background-size: cover;
            height: 100vh;
        }

        .wrapper {
            display: flex;
            height: 80vh;
            justify-content: center;
            align-items: center;
        }

        .wrapper-form {
            background-color: rgba(255, 255, 255, 0.2);
            padding: 15px;
        }

        .wrapper-form input {
            display: block;
            width: 100%;
        }

        .tab-form {
            background-color: #FFFFFF;
            padding: 30px 20px 20px;
        }

        label.tab {
            color: #f4c613;
            font-weight: 600;
            padding: 15px;
            display: inline-block;
            border-radius: 3px 3px 0 0;
            margin-bottom: -1px;
        }

        .form-input {
            font-size: 16px;
            border: 2px solid #f4c613;
            padding: 12px 14px;
            box-sizing: border-box;
            margin-bottom: 22px;
            color: #f4c613;
            outline: none;
            border-radius: 5px;
        }

        .nav-bar {
            display: flex;
            flex-direction: row;
            align-items: flex-start;

        }

        .btn-login {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: #f4c613;
            color: white;

        }

        .btn-login-connected {
            border-radius: 28px;
            font-size: 11px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: white;
            color: #f4c613;
        }

        .navbar-logo {
            color: #f4c613;
        }
        .navbar-logo a {
            cursor: pointer;
        }

        .navbar-logo a:hover {
            text-decoration: none;
        }

    </style>
{% endblock %}



